@ECHO OFF
CLS

REM - Below are examples of additional ways to add custom shortcuts to your Desktop and Start Menu, how 
REM - to automatically MAP network drives, and how to autorun a program at the end of boot. Remove REM 
REM - from the beginning of the lines between the sections to test the commands. This file is run 20 
REM - seconds after boot to ensure all drives are mounted and the network is started before executing.

REM -------------------------------------------------------------------------------------------------------
REM - To Create a custom shortcut on the "Desktop"
REM - nircmd shortcut - "pathtoexe" - (Desktop) - "shortcutname" 
REM - Example: nircmd.exe shortcut "%SystemRoot%\system32\cmd.exe" "~$folder.desktop$" "Command Prompt"
REM - Example: nircmd.exe shortcut "Y:\Programs\PStart\PStart.exe" "~$folder.desktop$" "PStart"
REM -------------------------------------------------------------------------------------------------------

REM nircmd.exe shortcut "Y:\Programs\PStart\PStart.exe" "~$folder.desktop$" "PStart"

REM -------------------------------------------------------------------------------------------------------
REM - To Create a custom Folder AND Shortcut in the Start Menu
REM - nircmd shortcut - "pathtoexe" - (StartMenuFolder) - "shortcutname"
REM - Example: nircmd.exe shortcut "%SystemRoot%\system32\cmd.exe" "~$folder.programs$\Test" "Command Prompt"
REM - Example: nircmd.exe shortcut "Y:\Programs\PStart\PStart.exe" "~$folder.programs$\PStart" "PStart"
REM -------------------------------------------------------------------------------------------------------

REM nircmd.exe shortcut "Y:\Programs\PStart\PStart.exe" "~$folder.programs$\PStart" "PStart"

REM -------------------------------------------------------------------------------------------------------
REM - To add a custom shortcut to the root of the Start Menu
REM - nircmd shortcut - "pathtexe" - (StartMenuRoot) - "shortcutname"
REM - Example: nircmd.exe shortcut "%SystemRoot%\system32\cmd.exe" "~$folder.programs$" "Command Prompt"
REM - Example: nircmd.exe shortcut "Y:\Programs\Pstart\PStart.exe" "~$folder.programs$" "PStart"
REM -------------------------------------------------------------------------------------------------------

REM nircmd.exe shortcut "Y:\Programs\PStart\PStart.exe" "~$folder.programs$" "PStart"

REM -------------------------------------------------------------------------------------------------------
REM - To automatically MAP a network drive during boot
REM - net use [Driveletter]: [Path] /user:[username] [password]
REM - Example: net use Z: \\sharename\foldername /user:username password
REM ------------------------------------------------------------------------------------------------------- 

REM net use Z: \\Server\BackupData /user:bob mypassword

REM -------------------------------------------------------------------------------------------------------
REM - To autorun a program when the system starts
REM - Start - "title" - "pathtoexe"
REM - Example: Start "" Y:\Programs\Pstart\Pstart.exe
REM ------------------------------------------------------------------------------------------------------- 

REM Start "" Y:\Programs\Pstart\Pstart.exe

EXIT